curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless headphones","country":"US"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppk50q18kdw67omz¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_ltppk50q18kdw67omz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"keyword": "wireless headphones",
"country": "US",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_ltppk50q18kdw67omz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless headphones", country: "US" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"product_id": "54321",
"title": "Sony WH-1000XM5 Wireless Headphones",
"brand": "Sony",
"rating": 4.7,
"reviews_count": 8400,
"price": "349.99",
"currency": "USD",
"url": "https://www.google.com/shopping/product/54321"
}
]
Google
Discover Google Shopping by keyword
Use the Bright Data Scraper API to discover Google Shopping products by keyword. POST /datasets/v3/scrape returns product records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless headphones","country":"US"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppk50q18kdw67omz¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_ltppk50q18kdw67omz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"keyword": "wireless headphones",
"country": "US",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_ltppk50q18kdw67omz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless headphones", country: "US" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"product_id": "54321",
"title": "Sony WH-1000XM5 Wireless Headphones",
"brand": "Sony",
"rating": 4.7,
"reviews_count": 8400,
"price": "349.99",
"currency": "USD",
"url": "https://www.google.com/shopping/product/54321"
}
]
Query Parameters
string
default:"gd_ltppk50q18kdw67omz"
required
The dataset ID used for this request.
Must be set to
gd_ltppk50q18kdw67omz to discover Google Shopping products by keyword.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"keyword"
required
Must be set to
keyword.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"keyword":"wireless headphones","country":"US"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_ltppk50q18kdw67omz¬ify=false&include_errors=true&type=discover_new&discover_by=keyword"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_ltppk50q18kdw67omz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "keyword",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"keyword": "wireless headphones",
"country": "US",
},
],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_ltppk50q18kdw67omz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "keyword",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ keyword: "wireless headphones", country: "US" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"product_id": "54321",
"title": "Sony WH-1000XM5 Wireless Headphones",
"brand": "Sony",
"rating": 4.7,
"reviews_count": 8400,
"price": "349.99",
"currency": "USD",
"url": "https://www.google.com/shopping/product/54321"
}
]
Was this page helpful?